<?php defined('_JEXEC') or die ;
/**
* @package		mod_cmse_k2content
* @copyright	Copyright (C) CmsEnergizer.com All rights reserved.
* @license		GNU General Public License version 2 or later; see http://www.gnu.org/licenses/
**/
require_once (dirname(__FILE__).'/helper.php');


$modname	= basename(dirname(__FILE__));
$libpath 	= JURI::base(true).'/modules/'.$modname.'/elements/';
$tmpl	 	= JURI::base(true).'/modules/'.$modname.'/tmpl/';
$document	= JFactory::getDocument();


// global style sheet
$document->addStyleSheet($tmpl.'cmsek2content.css');
// Format styles
$stylefile = $params->get('stylefile');
$document->addStyleSheet($tmpl.'styles/'.$stylefile.'.css');

// Params
$showimage		= $params->get('itemImgSize');
$lead			= $params->get('leaditem');
$itemIntroText	= $params->get('itemIntroText');
$htag 			= $params->get('htag');

$cropwidth		= $params->get('cropWidth');
$cropheight		= $params->get('cropHeight');
$cropLoffset	= $params->get('cropPosLeft');
$cropToffset	= $params->get('cropPosTop');

// custom URL condition
if ($params->get('menuItem') != '' && is_null($params->get('itemCustomUrl'))) {
    $params->set('itemCustomUrl', JRoute::_('index.php?&Itemid='.JMenu::getInstance('site')->getItem($params->get('menuItem'))->id));
}elseif(!is_null($params->get('itemCustomUrl'))) {
	$itemCustomUrl = $params->get('itemCustomUrl');
	}

// Get component params
$componentParams = JComponentHelper::getParams('com_k2');

// User avatar condition
$avatarWidth ='';
if (!is_null($params->get('itemAvatarWidth'))) {
    $avatarWidth = $componentParams->get('userImageWidth');
}else{
    $avatarWidth = $params->get('avatarWidth');
}

// List of layout place holders in array. The preg_replace array is located in tmpl/default.php
$placeholders = array(
	'/\[title\]/',
	'/\[image\]/',
	'/\[text\]/',
	'/\[date\]/',
	'/\[category\]/',
	'/\[author\]/',
	'/\[avatar\]/',
	'/\[authortext\]/',
	'/\[video\]/',
	'/\[file\]/',
	'/\[tags\]/',
	'/\[hits\]/',
	'/\[readmore\]/',
	'/\[extrafield\]/',
	'/\[comments\]/',
	'/\[br\]/'
);

// get custom inline css text and creat an array
$rollyourown = trim(preg_replace('/\\s*[\\n\\r]\\s*/', '', $params->get('rollyourown') ));
$rollyourown = explode('---', $rollyourown);

// variable null definitions to avoid PHP5.4+ errors. need to get the better method for this
$ulstyle=''; $listyle=''; $topstyle=''; $midstyle=''; $botstyle=''; $titlestyle=''; $leadimgstyle=''; $imgstyle=''; $txtstyle='';
$datestyle=''; $catstyle=''; $authstyle=''; $avastyle='';$authtxtstyle=''; $vidstyle=''; $filestyle=''; $tagstyle=''; $hitstyle='';
$readstyle=''; $fieldstyle=''; $comstyle='';

foreach($rollyourown as $rolled) {
	if(preg_match('/\[ulwrap\]/', $rolled)) 	$ulstyle .= $rolled;
	if(preg_match('/\[liwrap\]/', $rolled)) 	$listyle .= $rolled;
	if(preg_match('/\[top\]/', $rolled)) 		$topstyle .= $rolled;
	if(preg_match('/\[middle\]/', $rolled)) 	$midstyle .= $rolled;
	if(preg_match('/\[bottom\]/', $rolled)) 	$botstyle .= $rolled;
	if(preg_match('/\[title\]/', $rolled)) 		$titlestyle .= $rolled;
	if(preg_match('/\[leadimage\]/', $rolled)) 	$leadimgstyle .= $rolled;
	if(preg_match('/\[image\]/', $rolled)) 		$imgstyle .= $rolled;
	if(preg_match('/\[text\]/', $rolled)) 		$txtstyle .= $rolled;
	if(preg_match('/\[date\]/', $rolled)) 		$datestyle .= $rolled;
	if(preg_match('/\[category\]/', $rolled)) 	$catstyle .= $rolled;
	if(preg_match('/\[author\]/', $rolled)) 	$authstyle .= $rolled;
	if(preg_match('/\[avatar\]/', $rolled)) 	$avastyle .= $rolled;
	if(preg_match('/\[authortext\]/', $rolled)) $authtxtstyle .= $rolled;
	if(preg_match('/\[video\]/', $rolled)) 		$vidstyle .= $rolled;
	if(preg_match('/\[file\]/', $rolled)) 		$filestyle .= $rolled;
	if(preg_match('/\[tags\]/', $rolled)) 		$tagstyle .= $rolled;
	if(preg_match('/\[hits\]/', $rolled)) 		$hitstyle .= $rolled;
	if(preg_match('/\[readmore\]/', $rolled)) 	$readstyle .= $rolled;
	if(preg_match('/\[extrafield\]/', $rolled)) $fieldstyle .= $rolled;
	if(preg_match('/\[comments\]/', $rolled)) 	$comstyle .= $rolled;
}

	// inline style variables for item element wrappers
	$ulstyle 		= 'style="'.preg_replace('/\[ulwrap\]/', '', $ulstyle).'"';
	$listyle 		= 'style="'.preg_replace('/\[liwrap\]/', '', $listyle).'"';
	$topstyle 		= 'style="'.preg_replace('/\[top\]/', '', $topstyle).'"';
	$midstyle 		= 'style="'.preg_replace('/\[middle\]/', '', $midstyle).'"';
	$botstyle 		= 'style="'.preg_replace('/\[bottom\]/', '', $botstyle).'"';

	// inline style variables for each item element
	$titlestyle 	= 'style="'.preg_replace('/\[title\]/', '', $titlestyle).'"';
	$leadimgstyle 	= 'style="'.preg_replace('/\[leadimage\]/', '', $leadimgstyle).'"';
	$imgstyle 		= 'style="'.preg_replace('/\[image\]/', '', $imgstyle).'"';
	$txtstyle 		= 'style="'.preg_replace('/\[text\]/', '', $txtstyle).'"';
	$datestyle 		= 'style="'.preg_replace('/\[date\]/', '', $datestyle).'"';
	$catstyle 		= 'style="'.preg_replace('/\[category\]/', '', $catstyle).'"';
	$authstyle 		= 'style="'.preg_replace('/\[author\]/', '', $authstyle).'"';
	if(!empty($avastyle)) $avastyle 		= 'style="'.preg_replace('/\[avatar\]/', '', $avastyle).'"';
	$authtxtstyle 	= 'style="'.preg_replace('/\[authortext\]/', '', $authtxtstyle).'"';
	$vidstyle 		= 'style="'.preg_replace('/\[video\]/', '', $vidstyle).'"';
	$filestyle 		= 'style="'.preg_replace('/\[file\]/', '', $filestyle).'"';
	$tagstyle 		= 'style="'.preg_replace('/\[tags\]/', '', $tagstyle).'"';
	$hitstyle		= 'style="'.preg_replace('/\[hits\]/', '', $hitstyle).'"';
	$readstyle 		= 'style="'.preg_replace('/\[readmore\]/', '', $readstyle).'"';
	$fieldstyle 	= 'style="'.preg_replace('/\[extrafield\]/', '', $fieldstyle).'"';
	$comstyle 		= 'style="'.preg_replace('/\[comments\]/', '', $comstyle).'"';


$items = cmseK2ContentHelper::getItems($params);

if (count($items)) {
    require JModuleHelper::getLayoutPath($modname, $params->get('layout', 'default'));
}
